Subject: Re: [siprec] Is Req-24 notification enough? (was: Comments ononly the security part ofdraft-ietf-siprec-req-04)

From: "Hutton, Andrew" <[email-masked]>
Date: Wed, 1 Dec 2010 20:37:15 +0100

Hi All,

I agree we must define a signaling mechanism to notify participants in the CS that the session is being recorded and of course we cannot force it to be used. I think the siprec charter actually requires this.

Regards
Andy

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Ram Mohan R (rmohanr)
> Sent: 30 November 2010 06:43
> To: Leon Portman; Brian Rosen; Hadriel Kaplan
> Cc: [email-masked]
> Subject: Re: [siprec] Is Req-24 notification enough? (was: 
> Comments ononly the security part ofdraft-ietf-siprec-req-04)
> 
> I agree too.
> An optional signaling mechanism can be defined to indicate the
> participants involved that a session is recorded.
> There may be other mechanisms that implementers may use [examples like
> what Hadriel mentioned]
> 
> Ram 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On
> > Behalf Of Leon Portman
> > Sent: Monday, November 29, 2010 8:40 PM
> > To: Brian Rosen; Hadriel Kaplan
> > Cc: [email-masked]
> > Subject: Re: [siprec] Is Req-24 notification enough? (was: Comments
> > ononly the security part ofdraft-ietf-siprec-req-04)
> > 
> > +1
> > 
> > Leon
> > 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On
> > Behalf Of Brian Rosen
> > Sent: Monday, November 29, 2010 3:33 PM
> > To: Hadriel Kaplan
> > Cc: Leon Portman; [email-masked]
> > Subject: Re: [siprec] Is Req-24 notification enough? (was: 
> Comments on
> > only the security part ofdraft-ietf-siprec-req-04)
> > 
> > <as individual>
> > I want a signaling mechanism defined.   Use may be optional.
> > 
> > Brian
> > On Nov 29, 2010, at 7:02 AM, Hadriel Kaplan wrote:
> > 
> > >
> > > On Nov 22, 2010, at 4:08 PM, Elwell, John wrote:
> > >
> > >> However, the present words in req-04:
> > >> "REQ-024 The mechanism MUST provide a means of indicating to the
> > >>  participants involved in a CS that their session is being
> > recorded."
> > >> do seem to be adequate, in which case, if we leave these 
> unchanged,
> > we can address the solution issue in due course.
> > >
> > > One open question is if you need a requirement for a 
> signaling-plane
> > indication of recording taking place, separate from in-audio.  The
> use-
> > case someone mentioned to me for this is in some call centers and
> > government places the phones have a little light/indicator 
> which tells
> > the user when they're being recorded by their RC/RS systems.  Of
> course
> > since this type of status can change during the call, and may make
> more
> > sense when tied into a mechanism to turn recording off/on from the
> > phone, this type of thing may be out of scope for the current
> chartered
> > work.
> > >
> > > -hadriel
> > >
> > 
> > _______________________________________________
> > siprec mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/siprec
> > _______________________________________________
> > siprec mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/siprec
> _______________________________________________
> siprec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/siprec
>